Loading...
Searching...
No Matches
Dune::TypeTree::IsTreePath< T > Struct Template Reference

Check if type represents a tree path. More...

`#include <dune/typetree/typetraits.hh>`

## Detailed Description

template<class T>
struct Dune::TypeTree::IsTreePath< T >

Check if type represents a tree path.

If T is a or derived from one of the tree path types this struct derives from std::true_type, otherwise from std::false_type. Hence the result of the check is available via ::value, cast to bool, or operator().

Template Parameters

  T | Check if this type represents a tree path

The documentation for this struct was generated from the following file:

- typetraits.hh